jQuery("#admin").jqGrid({
    url:baseurl+'/admin.php/user/show_admins',
    datatype: "json",
    mtype: 'POST',
    height: 'auto',
    colNames:['Username','Email', 'Password', 'Password Repeat'],
    colModel:[ {name:'username',index:'username', width:100, editable:true, edittype: 'text',editoptions: { size: 20, maxlength: 50},editrules: {required: true},formoptions: {elmsuffix: "<a href='#' title='The username'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'email',index:'email', width:300, editable:true, edittype: 'text',editoptions: { size: 20, maxlength: 255,defaultValue: ""},editrules: {required: true,email: true },formoptions: {elmsuffix: "<a href='#' title='The Email address'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'password',index:'password', width:100, hidden:true, editable:true, edittype: 'password',editoptions: { size: 20, maxlength: 100},editrules: {edithidden:true}, formoptions: {elmsuffix: "<a href='#' title='Add: Password is Required<br>Edit: Leave blank to keep current password'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'password2',index:'password2', width:60, hidden:true, align:"center", editable:true, edittype:"password",editoptions:{size: 20, maxlength: 100},editrules: {edithidden:true},formoptions: {elmsuffix: "<a href='#' title='This must match the password above'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}}
         ],


    rowList: [],        // disable page size dropdown
    pgbuttons: false,     // disable page control like next, back button
    pgtext: null,
    viewrecords: false,
    pager: '#adminpager',
    sortname: 'id',
    sortorder: "desc",
    editurl: baseurl+"/admin.php/user/admin_edit",
    caption:"Admins"
});


jQuery("#admin").jqGrid('navGrid', '#adminpager', {add:true, view:false, edit:true, del:true, search:false,
        addtext: 'Add&nbsp;&nbsp;',
        edittext: 'Edit&nbsp;&nbsp;',
        deltext: 'Delete&nbsp;&nbsp;',
        refreshtext: 'Reload&nbsp;&nbsp;',
        edittitle: "Edit selected admin",
        addtitle: "Add new admin",
        deltitle: "Delete admin"
    },
    {
        closeAfterEdit: true,
        editCaption: "Edit Admin",

        afterSubmit: function(response, postdata){
            if (response.responseText == "") {
                return [true, response.responseText]
            }
            else {
                return [false, response.responseText]
            }
        }
    },
    {url:baseurl+'/admin.php/user/admin_add',
        closeAfterAdd: true,
        addCaption: "Add New Admin",
        afterSubmit: function(response, postdata){
            if (response.responseText == "") {
                return [true, response.responseText]
            }
            else {
                return [false, response.responseText]
            }
        }

    },
    {url:baseurl+'/admin.php/user/admin_delete',
        delCaption: "Delete Admin",
        afterSubmit: function(response, postdata){
            if (response.responseText == "") {
                return [true, response.responseText]
            }
            else {
                return [false, response.responseText]
            }
        }
    },
    {},
    {});
